ir_remote_types.h File Reference
Internal API | Internal API

### (085323c 2016-01-06 15:32:54 +0100)

Describes and decodes the signals from IR remotes. More...

`#include <stdint.h>`
`#include <sys/time.h>`
`#include <unistd.h>`
`#include <string.h>`
`#include <math.h>`
`#include <stdlib.h>`
`#include "include/media/lirc.h"`

Go to the source code of this file.

## Data Structures

struct | ir_code_node
struct | ir_ncode
struct | decode_ctx_t
struct | ir_remote

## Macros

#define | IR_PROTOCOL_MASK 0x07ff
#define | RAW_CODES 0x0001
#define | RC5 0x0002
#define | SHIFT_ENC RC5
#define | RC6 0x0004
#define | RCMM 0x0008
#define | SPACE_ENC 0x0010
#define | SPACE_FIRST 0x0020
#define | GOLDSTAR 0x0040
#define | GRUNDIG 0x0080
#define | BO 0x0100
#define | SERIAL 0x0200
#define | XMP 0x0400
#define | REVERSE 0x0800
#define | NO_HEAD_REP 0x1000
#define | NO_FOOT_REP 0x2000
#define | CONST_LENGTH 0x4000
#define | REPEAT_HEADER 0x8000
#define | COMPAT_REVERSE 0x00010000
#define | REPEAT_MAX_DEFAULT 600
#define | DEFAULT_FREQ 38000
#define | IR_PARITY_NONE 0
#define | IR_PARITY_EVEN 1
#define | IR_PARITY_ODD 2

## Typedefs

typedef int8_t | __s8
typedef uint8_t | __u8
typedef int16_t | __s16
typedef uint16_t | __u16
typedef int32_t | __s32
typedef uint32_t | __u32
typedef int64_t | __s64
typedef uint64_t | __u64
typedef __u64 | ir_code

## Detailed Description

Describes and decodes the signals from IR remotes.

Definition in file ir_remote_types.h.

## Macro Definition Documentation

## BO

#define BO 0x0100

encoding found on Bang & Olufsen remote

Definition at line 129 of file ir_remote_types.h.

## COMPAT_REVERSE

#define COMPAT_REVERSE 0x00010000

compatibility mode for REVERSE flag

Definition at line 140 of file ir_remote_types.h.

## CONST_LENGTH

#define CONST_LENGTH 0x4000

signal length+gap is always constant

Definition at line 137 of file ir_remote_types.h.

## GOLDSTAR

#define GOLDSTAR 0x0040

encoding found on Goldstar remote

Definition at line 127 of file ir_remote_types.h.

## GRUNDIG

#define GRUNDIG 0x0080

encoding found on Grundig remote

Definition at line 128 of file ir_remote_types.h.

## NO_FOOT_REP

#define NO_FOOT_REP 0x2000

no foot for key repeats

Definition at line 136 of file ir_remote_types.h.

## NO_HEAD_REP

#define NO_HEAD_REP 0x1000

no header for key repeats

Definition at line 135 of file ir_remote_types.h.

## RAW_CODES

#define RAW_CODES 0x0001

for internal use only

Definition at line 116 of file ir_remote_types.h.

## RC5

#define RC5 0x0002

IR data follows RC5 protocol

Definition at line 117 of file ir_remote_types.h.

## RC6

#define RC6 0x0004

IR data follows RC6 protocol

Definition at line 123 of file ir_remote_types.h.

## RCMM

#define RCMM 0x0008

IR data follows RC-MM protocol

Definition at line 124 of file ir_remote_types.h.

## REPEAT_HEADER

#define REPEAT_HEADER 0x8000

header is also sent before repeat code

Definition at line 138 of file ir_remote_types.h.

## REPEAT_MAX_DEFAULT

#define REPEAT_MAX_DEFAULT 600

stop repeating after 600 signals (approx. 1 minute) update technical.html when changing this value

Definition at line 145 of file ir_remote_types.h.

## SERIAL

#define SERIAL 0x0200

serial protocol

Definition at line 130 of file ir_remote_types.h.

## SHIFT_ENC

#define SHIFT_ENC RC5

IR data is shift encoded (name obsolete)

Definition at line 118 of file ir_remote_types.h.

## SPACE_ENC

#define SPACE_ENC 0x0010

IR data is space encoded

Definition at line 125 of file ir_remote_types.h.

## SPACE_FIRST

#define SPACE_FIRST 0x0020

bits are encoded as space+pulse

Definition at line 126 of file ir_remote_types.h.

## XMP

#define XMP 0x0400

XMP protocol

Definition at line 131 of file ir_remote_types.h.

## Typedef Documentation

## ir_code

typedef __u64 ir_code

Denotes an internal coded representation for an IR transmission. Note that there may be more than one ir_code in one ir_ncode.

Definition at line 59 of file ir_remote_types.h.